/**
 * Display the schema name row.
 * It includes the property name, type, required and deprecated status.
 */
export function OpenAPISchemaName(props) {
    var type = props.type, propertyName = props.propertyName, required = props.required, deprecated = props.deprecated;
    return (<div className="openapi-schema-name">
            {propertyName ? (<span data-deprecated={deprecated} className="openapi-schema-propertyname">
                    {propertyName}
                </span>) : null}
            {type ? <span className="openapi-schema-type">{type}</span> : null}
            {required ? <span className="openapi-schema-required">required</span> : null}
            {deprecated ? <span className="openapi-deprecated">Deprecated</span> : null}
        </div>);
}
