import type { OpenAPIClientContext, OpenAPIOperationData } from './types';
/**
 * Client component to render the spec for the request and response.
 *
 * We use a client component as rendering recursive JSON schema in the server is expensive
 * (the entire schema is rendered at once, while the client component only renders the visible part)
 */
export declare function OpenAPISpec(props: {
    data: OpenAPIOperationData;
    context: OpenAPIClientContext;
}): import("react").JSX.Element;
