import { toJSON, fromJSON } from 'flatted';
import { type OpenAPIV3xDocument, type Filesystem } from '@gitbook/openapi-parser';
import { OpenAPIOperationData } from './types';
export { toJSON, fromJSON };
/**
 * Resolve an OpenAPI operation in a file and compile it to a more usable format.
 */
export declare function resolveOpenAPIOperation(filesystem: Filesystem<OpenAPIV3xDocument>, operationDescriptor: {
    path: string;
    method: string;
}): Promise<OpenAPIOperationData | null>;
