'use client';
import { create } from 'zustand';
var useSyncedTabsStore = create()(function (set) { return ({
    tabs: new Map(),
    setTabs: function (updater) {
        return set(function (state) { return ({
            tabs: updater(new Map(state.tabs)), // Ensure a new Map is created for reactivity
        }); });
    },
}); });
// Selector for better performance - only re-renders when tabs change
export function useSyncedTabsGlobalState() {
    var tabs = useSyncedTabsStore(function (state) { return state.tabs; });
    var setTabs = useSyncedTabsStore(function (state) { return state.setTabs; });
    return [tabs, setTabs];
}
